# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           xnec2c
Version:        2.1
Release:        alt1_2.beta
Summary:        GTK based graphical wrapper for nec2c

Group:          Communications
License:        GPLv2+
URL:            http://www.qsl.net/5b4az/pages/nec2.html
Source0:        http://www.qsl.net/5b4az/pkg/nec2/xnec2c/%{name}-%{version}-beta.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}-icon.png

BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils

Requires:       nec2c
Source44: import.info

%description
xnec2c is a GUI interactive application that (in its current form) reads NEC2
input files but presents output data in graphical form, e.g. as wire frame
drawings of the radiation pattern or near E/H field, graphs of maximum gain,
input impedance, vswr etc against frequency and simple rendering of the antenna
structure, including color code representation of currents or charge densities.

These results are only calculated and drawn on user demand via menu items or
buttons, e.g. xnec2c is interactive and does not execute NEC2 "commands" in
batch style as the original does. 


%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}" LIBS=" -lm"


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} \
  %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --vendor="" \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}


%files
%doc AUTHORS ChangeLog README
%doc doc/NearFieldCalcs.txt doc/NEC2-bug.txt doc/nec2c.txt doc/xnec2c.html
%doc doc/images
%doc examples
%{_bindir}/*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/pixmaps/*


%changelog
* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 2.1-alt1_2.beta
- initial fc import

